Commit e03e0052 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Fix compile against 5.15

parent ad014852
......@@ -12,7 +12,7 @@ find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
# Do NOT add quote
set(KDEPIM_DEV_VERSION alpha)
set(KDEPIM_DEV_VERSION beta1)
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
......
......@@ -57,11 +57,7 @@ void LanguageToolGetListOfLanguageJob::start()
void LanguageToolGetListOfLanguageJob::slotFinish(QNetworkReply *reply)
{
#if (QT_VERSION < QT_VERSION_CHECK(5, 15, 0))
if (reply->error() != QNetworkReply::NoError) {
#else
if (reply->networkError() != QNetworkReply::NoError) {
#endif
qCWarning(LIBLANGUAGE_PLUGIN_LOG) << " Error reply - "<<reply->errorString();
Q_EMIT error(reply->errorString());
}
......
......@@ -88,11 +88,7 @@ void LanguageToolResultJob::start()
void LanguageToolResultJob::slotFinish(QNetworkReply *reply)
{
#if (QT_VERSION < QT_VERSION_CHECK(5, 15, 0))
if (reply->error() != QNetworkReply::NoError) {
#else
if (reply->networkError() != QNetworkReply::NoError) {
#endif
qCWarning(LIBLANGUAGE_PLUGIN_LOG) << " Error reply - "<<reply->errorString();
Q_EMIT error(reply->errorString());
}
......
......@@ -177,11 +177,7 @@ void AdBlockSubscription::subscriptionDownloaded()
bool error = false;
const QByteArray response = QString::fromUtf8(mReply->readAll()).toUtf8();
#if (QT_VERSION < QT_VERSION_CHECK(5, 15, 0))
if (mReply->error() != QNetworkReply::NoError
#else
if (mReply->networkError() != QNetworkReply::NoError
#endif
|| !response.startsWith(QByteArray("[Adblock"))
|| !saveDownloadedData(response)
) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment